#pragma once
#include "afxwin.h"
#include "art.h"
#include "datenbank.h"

// steckbrief_schmetterling_neu-Dialogfeld

class steckbrief_schmetterling_neu: public CDialog
{
    DECLARE_DYNAMIC (steckbrief_schmetterling_neu)

public:
    steckbrief_schmetterling_neu( CWnd* pParent = NULL); // Standardkonstruktor
    virtual ~steckbrief_schmetterling_neu();

// Dialogfelddaten
    enum
    {
        IDD = IDD_DIALOG_Steckbrief_Schmetterling
    };

protected:
    virtual void DoDataExchange( CDataExchange* pDX); // DDX/DDV-Unterstützung

    DECLARE_MESSAGE_MAP()
public:

    art* nart;
    datenbank daten;
    BOOL PreTranslateMessage( MSG* pMsg);afx_msg
    void OnEnKillfocusNamedeutsch();
    CString m_name_deutsch;
    CString m_name_latein;
    void getdata();afx_msg
    void OnEnKillfocusNamelatein();
    CString m_mv17;
    CString m_mv18;
    CString m_mv19;
    CString m_mv20;
    CString m_mv21;
    CString m_mv22;
    CString m_mv23;
    CString m_mv24;
    CString m_mv25;
    CString m_mv26;
    CString m_mv27;
    CString m_mv28;
    CString m_mv29;
    CString m_mv30;
    CString m_mv31;
    CString m_mv32;
    CString m_mv33;
    CString m_mv34;
    CString m_mv35;
    CString m_mv36;
    CString m_mv37;
    CString m_mv38;
    BOOL OnInitDialog();afx_msg
    void OnEnKillfocusM1mai();afx_msg
    void OnEnKillfocusM2mai();afx_msg
    void OnEnKillfocusM3mai();afx_msg
    void OnEnKillfocusM4mai();afx_msg
    void OnEnKillfocusM1juni();afx_msg
    void OnEnKillfocusM2juni();afx_msg
    void OnEnKillfocusM3juni();afx_msg
    void OnEnKillfocusM4juni();afx_msg
    void OnEnKillfocusM1juli();afx_msg
    void OnEnKillfocusM2juli();afx_msg
    void OnEnKillfocusM3juli();afx_msg
    void OnEnKillfocusM4juli();afx_msg
    void OnEnKillfocusM1august();afx_msg
    void OnEnKillfocusM2august();afx_msg
    void OnEnKillfocusM3august();afx_msg
    void OnEnKillfocusM4august();afx_msg
    void OnEnKillfocusM1september();afx_msg
    void OnEnKillfocusM2september();afx_msg
    void OnEnKillfocusM3september();afx_msg
    void OnEnKillfocusM4september();afx_msg
    void OnEnKillfocusM1oktober();afx_msg
    void OnEnKillfocusM2oktober();
    CString m_krit_rep;afx_msg
    void OnEnKillfocusKritischerep();
    CString m_ges_rep;afx_msg
    void OnEnKillfocusGesamtrep();
    CString m_hoehe_kurz;
    CString m_hoehe_mittle;
    CString m_hoehe_hoch;
    CString m_feuchte_trocken;
    CString m_feuchte_frisch;
    CString m_feuchte_feucht;
    //CString m_populationsdichte;
    CString m_ausbreitungsradius;
    //CString m_radiusnahrung;
    CString m_person;
    //afx_msg void OnEnKillfocusMradius();
    afx_msg
    void OnEnKillfocusAradius();afx_msg
    void OnEnKillfocusPerson();afx_msg
    void OnEnKillfocusHoehekurz();afx_msg
    void OnEnKillfocusHoehemittel();afx_msg
    void OnEnKillfocusHoehehoch();afx_msg
    void OnEnKillfocusFeuchtetrocken();afx_msg
    void OnEnKillfocusFeuchtefrisch();afx_msg
    void OnEnKillfocusFeuchtefeucht();
    //afx_msg void OnEnKillfocusPopulationsdichte();

    afx_msg
    void OnBnClickedOk();afx_msg
    void OnBnClickedCancel();afx_msg
    void OnBnClickedDatenbearbeiten();afx_msg
    void OnBnClickedDatena();
    CListBox m_s2anfang;
    CListBox m_s2ende;afx_msg
    void OnLbnDblclkS2anfang();afx_msg
    void OnLbnDblclkS2ende();afx_msg
    void OnEnKillfocusGesamtrep2();afx_msg
    void OnSize( UINT nType, int cx, int cy);afx_msg
    void OnVScroll( UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

    int m_nCurHeights;
    int m_nScrollPoss;
    CRect m_rects;
    CBrush m_brush;

    afx_msg
    HBRUSH OnCtlColor( CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    CComboBox m_auswahl_gruen;
    CListBox m_liste_gruen;afx_msg
    void OnCbnSelchangeGruen();afx_msg
    void OnLbnDblclkListgruen();
    vector< gruenland*> gruen;

};
